package com.ylx.massage.service.impl;


import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.ylx.massage.domain.YlxAlarm;
import com.ylx.massage.mapper.YlxAlarmMapper;
import com.ylx.massage.service.YlxAlarmService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;
import org.springframework.stereotype.Service;

/**
 * 报警记录表(YlxAlarm)表服务实现类
 *
 * @author makejava
 * @since 2024-04-28 09:19:05
 */
@Slf4j
@Service("ylxAlarmService")
public class YlxAlarmServiceImpl extends ServiceImpl<YlxAlarmMapper, YlxAlarm> implements YlxAlarmService {

    @Override
    public YlxAlarm queryById(String id) {
        return null;
    }

    @Override
    public Page<YlxAlarm> queryByPage(YlxAlarm ylxAlarm, PageRequest pageRequest) {
        return null;
    }

    @Override
    public YlxAlarm update(YlxAlarm ylxAlarm) {
        return null;
    }

    @Override
    public boolean deleteById(String id) {
        return false;
    }

    @Override
    public YlxAlarm addAlarm(YlxAlarm ylxAlarm) {
        return null;
    }
}
